package com.nisum.example.mongodb.service;

import com.nisum.example.mongodb.model.Employee;
import reactor.core.publisher.Flux;
import reactor.core.publisher.Mono;

public interface IEmployeeService {

    Mono<Employee> insert(Employee emp);
    Mono<Employee> fetchById(Integer id);
    Flux<Employee> fetchByName(String name);
    Flux<Employee> fetchAll();
    Mono<Employee> modify(Employee emp);
    Mono<Void> removeById(Integer id);
}
